## libcrafter 1.0

=== libcrafter/crafter/ProtoSource/Makefile ===
DIR_INCLUDE = ./
DIR_SRC = ./
DIR_FIELDS = ../Fields
DIR_BIN = ./
DIR_LIB = ./

TARBALL=fields

AR = ar
AR_FLAGS = rs

CC = g++
CC_FLAGS = -g -O0 -Wall -I $(DIR_INCLUDE) -L $(DIR_LIB) 

OBJ_PROTO = $(DIR_SRC)/Proto.o $(DIR_SRC)/FieldType.o 
OBJ_PROTO_HDR = $(DIR_SRC)/Proto.h $(DIR_SRC)/FieldType.h 
OBJ_PROTO_SRC = $(DIR_SRC)/Proto.cpp $(DIR_SRC)/FieldType.cpp

PROGRAM = $(DIR_BIN)/protogen
OBJ_PROG = Main.o
OBJ_PROG_SRC = $(DIR_SRC)/Main.cpp

MAKEFILE=Makefile
LIB_LINK = -lgomp

$(PROGRAM):$(OBJ_PROG) $(OBJ_LIB) $(OBJ_PROTO)
	$(CC) $(CC_FLAGS) $(OBJ_PROG) $(OBJ_LIB) $(OBJ_PROTO) $(LIB_LINK) -o $(PROGRAM)

$(OBJ_PROTO):$(OBJ_PROTO_SRC) $(OBJ_PROTO_HDR) $(MAKEFILE)  
	$(CC) -c $(OBJ_PROTO_SRC) $(CC_FLAGS)
	
$(OBJ_LIB):$(OBJ_LIB_SRC) $(OBJ_LIB_HDR) $(MAKEFILE)  
	$(CC) -c $(OBJ_LIB_SRC) $(CC_FLAGS)

clean:
	rm -rf $(OBJ_LIB) $(OBJ_PROG) $(PROGRAM) $(TARBALL).tar.gz

tarball:
	mkdir $(TARBALL)
	cp $(MAKEFILE) $(OBJ_LIB_HDR) $(OBJ_LIB_SRC) $(OBJ_PROG_SRC) $(TARBALL)/
	tar cfvz $(TARBALL).tar.gz $(TARBALL) 
	rm -rf $(TARBALL)

=== debian/changelog ===
libcrafter (1.0-0kali2) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Arnaud Rebillout ]
  * Misc packaging updates

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 12 Nov 2024 16:54:52 +0700

libcrafter (1.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * Update upstream homepage
  * New upstream version 1.0
  * Use debhelper-compat 13
  * Bump Standards-Version to 4.5.1
  * Update doc installation
  * Update debian/copyright
  * Update build for new release
  * Build with bindnow

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 17 Jun 2021 14:06:43 +0200

libcrafter (0.2-1kali0) kali; urgency=low

  * Initial release

 -- Devon Kearns <dookie@kali.org>  Thu, 10 Jan 2013 08:36:18 -0700

=== debian/control ===
Source: libcrafter
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>,
           Sophie Brun <sophie@offensive-security.com>,
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), libpcap0.8-dev
Standards-Version: 4.7.0
Homepage: https://github.com/pellegre/libcrafter
Vcs-Git: https://gitlab.com/kalilinux/packages/libcrafter.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/libcrafter

Package: libcrafter
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library to generate and sniff network packets
 Libcrafter is a high level library for C++ designed to make
 easier the creation and decoding of network packets. It is
 able to craft or decode packets of most common network
 protocols, send them on the wire, capture them and match
 requests and replies. It enables the creation of networking
 tools in a few lines with an interface very similar to
 Scapy. A packet is described as layers that you stack one
 upon the other. Fields of each layer have useful default
 values that you can overload.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=libcrafter

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?version-(\d[\d.]*)\.tar\.gz%libcrafter-$1.tar.gz%" \
    https://github.com/pellegre/libcrafter/tags \
    (?:.*?/)?version-(\d[\d.]*)\.tar\.gz debian uupdate
